> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riona.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Weekly Stats

> Track channel growth and engagement weekly basis.

<ResponseExample>
  ```json 200 theme={null}
  {
    "status": {
      "code": 200,
      "message": "OK"
    },
    "stats": [
      {
        "date": "28-07-2025",
        "dateISO": "2025-07-28T00:00:00.000Z",
        "subscriberCount": 419000000,
        "subscriberCountDelta": 3000000,
        "viewCount": 92316672516,
        "viewCountDelta": 795818792,
        "videoCount": 891,
        "videoCountDelta": 4,
        "estimatedLowRevenueUsd": 361986,
        "estimatedHighRevenueUsd": 1012115,
        "estimatedRevenueUsd": 687050,
        "dayOfWeek": "SUNDAY",
        "isToday": false
      },
      {
        "date": "04-08-2025",
        "dateISO": "2025-08-04T00:00:00.000Z",
        "subscriberCount": 421000000,
        "subscriberCountDelta": 2000000,
        "viewCount": 92988356969,
        "viewCountDelta": 671684453,
        "videoCount": 893,
        "videoCountDelta": 2,
        "estimatedLowRevenueUsd": 335733,
        "estimatedHighRevenueUsd": 937893,
        "estimatedRevenueUsd": 636813,
        "dayOfWeek": "SUNDAY",
        "isToday": false
      },
      {
        "date": "11-08-2025",
        "dateISO": "2025-08-11T00:00:00.000Z",
        "subscriberCount": 423000000,
        "subscriberCountDelta": 2000000,
        "viewCount": 93488121972,
        "viewCountDelta": 499765003,
        "videoCount": 895,
        "videoCountDelta": 2,
        "estimatedLowRevenueUsd": 333223,
        "estimatedHighRevenueUsd": 928828,
        "estimatedRevenueUsd": 631025,
        "dayOfWeek": "SUNDAY",
        "isToday": false
      },
      {
        "date": "18-08-2025",
        "dateISO": "2025-08-18T00:00:00.000Z",
        "subscriberCount": 424000000,
        "subscriberCountDelta": 1000000,
        "viewCount": 93709926188,
        "viewCountDelta": 221804216,
        "videoCount": 896,
        "videoCountDelta": 1,
        "estimatedLowRevenueUsd": 182129,
        "estimatedHighRevenueUsd": 507035,
        "estimatedRevenueUsd": 344582,
        "dayOfWeek": "WEDNESDAY",
        "isToday": false
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml api-reference/openapi-3.0.json get /wf/youtube-channel-weekly-stats
openapi: 3.0.3
info:
  title: Riona API Docs
  version: 1.0.0
  contact:
    email: info@riona.ai
    url: https://riona.ai
servers:
  - url: https://riona.ai/api/1.1
security:
  - bearerAuth: []
tags:
  - name: Workflow
    description: Use this to trigger a workflow
  - name: Data
    description: Use this to fetch, modify and delete data
paths:
  /wf/youtube-channel-weekly-stats:
    get:
      tags:
        - Workflow
      description: Triggers the workflow youtube-channel-weekly-stats
      operationId: get_wf_youtube-channel-weekly-stats
      parameters:
        - name: id
          in: query
          required: true
          description: >-
            **masterID**: the id of the Social Account, to get this you need to
            call the endpoint **Get Profile by URL** OR **Get Channel Details**
          schema:
            type: string
        - name: includeProfile
          in: query
          required: false
          description: >-
            If you would like to get the channel profile and details set this to
            `true`
          schema:
            type: boolean
        - name: dayRange
          in: query
          required: true
          description: >-
            Number of days in the past. Possible values: `30` | `60` | `90` |
            `180` | `365` , Maximum value is 365.
          schema:
            type: number
            default: 30
        - name: sortDesc
          in: query
          required: true
          description: |-
            Sort stats by date in an Descending Order 
            - Descending sort(Newest First) =`true`
            - Ascending sort (Oldest First) = `false`
          schema:
            type: boolean
        - name: api_key
          in: query
          required: true
          description: >-
            This is your account API Key. You can easily locate it in your
            account dashboard.
          schema:
            type: string
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````